<template lang="html">
	<div class="container">
			<div class="navbar navbar-lg navbar-light bg-info">
	    <div class="navbar-brand">
	      <div class="text-white">
	        Trayectos DESTACAME
	     </div>
    </div>
    <div class="nav-links">
        <button class="btn btn-info text-light" v-on:click="gotrayecto">Trayectos</button>
        <button class="btn btn-info text-light" v-on:click="gopasajero">Pasajeros</button>
        <button class="btn btn-info text-light" v-on:click="gochofer">Choferes</button>
        <button class="btn btn-info text-light" v-on:click="gobus">Buses</button>
    </div>
</div>
<br>
		<div>
			<form class="row" @submit="onSubmit">
				<div class="col-md-3">
					<label class="form-control">Id Bus</label>
					<input type="text" class="form-control" v-model.trim="form.id_bus">
				</div>
				<br><br>
				<div class="col-md-3">
					<label class="form-control">Serie Bus</label>
					<input type="text" class="form-control" v-model.trim="form.serie_bus">
				</div>
				<div class="col-md-12">
					<br><br>
					<button class="btn btn-warning" type="submit">Nuevo</button>
					<button class="btn btn-danger" v-on:click="volver">Volver</button>
				</div>
			</form>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
		        form   : {
		        	id_bus : '',
		        	serie_bus : ''
		        }
			}
		},
		methods: {
			onSubmit(e){
				e.preventDefault()

				const path = `http://localhost:8000/buses/bus/`
				axios.post(path,this.form).then((response) => {
					this.form.id_bus = response.data.id_bus
					this.form.serie_bus = response.data.serie_bus
				alert("Bus creado correctamente")
				})
				.catch((error) => {console.log(error);alert("Bus no se pudo crear correctamente-Revise formulario.")})		
			},
			volver(){
				location.href = '/bus'			
			},
						gotrayecto(e){
				e.preventDefault()
				location.href = '/trayecto'			
			},
			gochofer(e){
				e.preventDefault()
				location.href = '/chofer'			
			},
			gopasajero(e){
				e.preventDefault()
				location.href = '/pasajero'			
			},
			gobus(e){
				e.preventDefault()
				location.href = '/bus'			
			},
		},
		created(){
			this.gotrayecto()
			this.gochofer()
			this.gopasajero()
			this.gobus()
		}
	}
</script>

<style lang="css" scoped>
</style>